# OSGeo::FDO::Filter::DistanceCondition Class Reference
[OSGeo::FDO::Filter]

Inheritance diagram for OSGeo::FDO::Filter::DistanceCondition:

[legend]

List of all members.

## Detailed Description

The DistanceCondition class derives GeometricCondition and can be used to test whether the value of a geometric property is within or beyond a specified distance of the specified geometric value. Some feature providers may only support literal geometric values; if so, the provider's capabilities will indicate this limitation.

()

## Public Member Functions
| DistanceCondition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a DistanceCondition object based on an unmanaged instance of the object.
| DistanceCondition (OSGeo::FDO::Expression::Identifier *propertyName, OSGeo::FDO::Filter::DistanceOperations operation, OSGeo::FDO::Expression::Expression *geometry, System::Double distance)
| Constructs an instance of an DistanceCondition using the specified arguments.
| DistanceCondition (System::String *propertyName, OSGeo::FDO::Filter::DistanceOperations operation, OSGeo::FDO::Expression::Expression *geometry, System::Double distance)
| Constructs an instance of an DistanceCondition using the specified arguments.
| DistanceCondition ()
| Constructs a default instance of an DistanceCondition.
__property System::Double | get_Distance ()
| Gets the distance value.
__property OSGeo::FDO::Expression::Expression * | get_Geometry ()
| Gets the literal geometric value.
__property OSGeo::FDO::Filter::DistanceOperations | get_Operation ()
| Gets the distance operation to use.
System::Void | Process (OSGeo::FDO::Filter::IFilterProcessor *processor)
| Overrides Filter.Process to pass DistanceCondition to the appropriate filter processor operation.
__property System::Void | set_Distance (System::Double value)
| Sets the distance value.
__property System::Void | set_Geometry (OSGeo::FDO::Expression::Expression *value)
| Sets the literal geometric value.
__property System::Void | set_Operation (OSGeo::FDO::Filter::DistanceOperations value)
| Sets the distance operation to use.